com.r3corda.contracts.asset / CommodityContract / Clauses / Group

# Group

`class Group : GroupClauseVerifier<State, Commands, Issued<Commodity>>`

Grouping clause to extract input and output states into matched groups and then run a set of clauses over each group.

### Constructors

<init> | `Group()` Grouping clause to extract input and output states into matched groups and then run a set of clauses over each group.

### Inherited Properties

clause | `val clause: Clause<S, C, K>`

### Functions

groupStates | `fun groupStates(tx: TransactionForContract): List<InOutGroup<State, Issued<Commodity>>>` Group commodity states by issuance definition (issuer and underlying commodity).